// gnome.xonotic.in.ua

models/mapobjects/gratelamp/gratetorch2b
{
	cull disable
	{
		map models/mapobjects/gratelamp/gratetorch2b.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/lamplight_y
{
	q3map_surfacelight 10000
	light 1
	cull disable
	{
		map textures/effects/envmapmach.tga
		blendfunc gl_one gl_one
		tcgen environment
		rgbgen identity
	}
}

models/mapobjects/timlamp/timlamp
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/timlamp/timlamp.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/wallhead/lion_m
{
	{
		map models/mapobjects/wallhead/lion_m.tga
		blendfunc gl_one gl_zero
		rgbgen vertex
	}
	{
		map textures/sfx/firewalla.tga
		blendfunc gl_one gl_one
		tcmod scroll 0.1 1
	}
	{
		map models/mapobjects/wallhead/lion_m.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen vertex
	}
}

textures/base_trim/tin
{
	{
		rgbgen identity
		map $lightmap
	}
	{
		map textures/base_trim/tin.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
	{
		map textures/base_trim/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map textures/base_trim/tin.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_wall/glass01
{
	surfaceparm trans
	cull none
	qer_trans 0.5
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/common/areaportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm areaportal
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
}

textures/common/invisible
{
	surfaceparm nolightmap
	{
		map textures/common/invisible.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

textures/common/mirror2
{
	qer_editorimage textures/common/qer_mirror.tga
	surfaceparm nolightmap
	portal
	{
		map textures/common/mirror1.tga
		blendfunc gl_one gl_one_minus_src_alpha
		depthwrite
	}
	{
		map textures/sfx/mirror.tga
		blendfunc gl_zero gl_one_minus_src_color
	}
}

textures/common/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nodrop
	surfaceparm nolightmap
	surfaceparm nodraw
	cull disable
}

textures/gothic_door/skullarch_b
{
	{
		map textures/sfx/firegorre.tga
		tcmod scroll 0 1
		tcmod turb 0 .25 0 5.6
		tcmod scale 1.5 1.5
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_door/skullarch_b.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/hogwarts/h_armor
{
	qer_editorimage textures/hogwarts/h_armor.tga
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/hogwarts/h_armor.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/hogwarts/h_book
{
	qer_editorimage textures/hogwarts/h_book1.tga
	surfaceparm nomarks
	cull none
	{
		animmap 9 textures/hogwarts/h_book1.tga textures/hogwarts/h_book1.tga textures/hogwarts/h_book2.tga textures/hogwarts/h_book3.tga textures/hogwarts/h_book4.tga textures/hogwarts/h_book4.tga textures/hogwarts/h_book3.tga textures/hogwarts/h_book2.tga
	}
}

textures/hogwarts/h_bracket
{
	qer_editorimage textures/hogwarts/h_bracket.tga
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/hogwarts/h_bracket.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/hogwarts/h_branches
{
	qer_editorimage textures/hogwarts/h_branches.tga
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/hogwarts/h_branches.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/hogwarts/h_drape2ns
{
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/hogwarts/h_drape2ns.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/hogwarts/h_env
{
	qer_editorimage textures/hogwarts/h_env.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 35
	q3map_sun 0.6 0.7 1 45 280 38
	skyparms textures/hogwarts/env/h_env - -
}

textures/hogwarts/h_feather
{
	qer_editorimage textures/hogwarts/h_feather.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/hogwarts/h_feather.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/hogwarts/h_flame
{
	qer_editorimage textures/sfx/flame1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 300
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/hogwarts/h_glow250
{
	qer_editorimage textures/hogwarts/h_glow.tga
	q3map_surfacelight 250
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/hogwarts/h_glow.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/hogwarts/h_glow.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/hogwarts/h_guitar
{
	qer_editorimage textures/hogwarts/h_guitar1.tga
	cull none
	{
		animmap 3 textures/hogwarts/h_guitar1.tga textures/hogwarts/h_guitar1.tga textures/hogwarts/h_guitar2.tga
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/hogwarts/h_holzschuher
{
	qer_editorimage textures/hogwarts/h_holzschuher1.tga
	cull none
	{
		animmap 2 textures/hogwarts/h_holzschuher1.tga textures/hogwarts/h_holzschuher2.tga textures/hogwarts/h_holzschuher2.tga textures/hogwarts/h_holzschuher2.tga
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/hogwarts/h_hoop
{
	qer_editorimage textures/hogwarts/h_hoop.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
	nopicmip
	{
		map textures/hogwarts/h_hoop.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/hogwarts/h_key
{
	qer_editorimage textures/hogwarts/h_key.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
	nopicmip
	{
		map textures/hogwarts/h_key.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/hogwarts/h_lavalamp
{
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 500
	cull disable
	tesssize 128
	cull disable
	{
		map textures/liquids/lavahell.tga
		tcmod turb 0 .5 0 .03
	}
}

textures/hogwarts/h_light1k
{
	qer_editorimage textures/hogwarts/h_light.tga
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/hogwarts/h_light.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/hogwarts/h_light.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/hogwarts/h_ns_trans
{
	qer_editorimage textures/hogwarts/h_trans.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
	nopicmip
	{
		map textures/hogwarts/h_trans.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/hogwarts/h_owl1
{
	qer_editorimage textures/hogwarts/h_owl1.tga
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/hogwarts/h_owl1.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/hogwarts/h_owl2
{
	qer_editorimage textures/hogwarts/h_owl2.tga
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/hogwarts/h_owl2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/hogwarts/h_redlight
{
	qer_editorimage textures/hogwarts/h_redlight.tga
	q3map_surfacelight 750
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/hogwarts/h_redlight.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/hogwarts/h_september_ns
{
	qer_editorimage textures/hogwarts/h_september.jpg
	surfaceparm nonsolid
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/hogwarts/h_september.jpg
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/hogwarts/h_shield_gm
{
	qer_editorimage textures/hogwarts/h_shield_gm.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
	nopicmip
	{
		map textures/hogwarts/h_shield_gm.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/hogwarts/h_shield_hm
{
	qer_editorimage textures/hogwarts/h_shield_hm.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
	nopicmip
	{
		map textures/hogwarts/h_shield_hm.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/hogwarts/h_shield_rm
{
	qer_editorimage textures/hogwarts/h_shield_rm.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
	nopicmip
	{
		map textures/hogwarts/h_shield_rm.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/hogwarts/h_shield_sm
{
	qer_editorimage textures/hogwarts/h_shield_sm.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
	nopicmip
	{
		map textures/hogwarts/h_shield_sm.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/hogwarts/h_snare
{
	qer_editorimage textures/hogwarts/h_snare.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
	nopicmip
	{
		map textures/hogwarts/h_snare.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/hogwarts/h_trans
{
	qer_editorimage textures/hogwarts/h_trans.tga
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/hogwarts/h_trans.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/hogwarts/h_transfig
{
	qer_editorimage textures/hogwarts/h_transfig1.tga
	cull none
	{
		animmap 4 textures/hogwarts/h_transfig1.tga textures/hogwarts/h_transfig1.tga textures/hogwarts/h_transfig1.tga textures/hogwarts/h_transfig3.tga textures/hogwarts/h_transfig5.tga textures/hogwarts/h_transfig5.tga textures/hogwarts/h_transfig5.tga textures/hogwarts/h_transfig3.tga
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/hogwarts/h_treetops
{
	qer_editorimage textures/hogwarts/h_treetops.tga
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/hogwarts/h_treetops.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/hogwarts/h_wincurtain
{
	qer_editorimage textures/hogwarts/h_wincurtain.tga
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/hogwarts/h_wincurtain.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/hogwarts/h_window1
{
	qer_editorimage textures/hogwarts/h_window1.tga
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/hogwarts/h_window1.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/hogwarts/h_window2
{
	qer_editorimage textures/hogwarts/h_window2.tga
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/hogwarts/h_window2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/hogwarts/h_window3
{
	qer_editorimage textures/hogwarts/h_window3.tga
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/hogwarts/h_window3.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/hogwarts/h_winlit1
{
	qer_editorimage textures/hogwarts/h_winlit1.tga
	q3map_surfacelight 75
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/hogwarts/h_winlit1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/hogwarts/h_winlit1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/hogwarts/h_winlit2
{
	qer_editorimage textures/hogwarts/h_winlit2.tga
	q3map_surfacelight 75
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/hogwarts/h_winlit2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/hogwarts/h_winlit2.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/hogwarts/h_winlit3
{
	qer_editorimage textures/hogwarts/h_winlit3.tga
	q3map_surfacelight 75
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/hogwarts/h_winlit3.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/hogwarts/h_winlit3.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/hogwarts/h_winsquare
{
	qer_editorimage textures/hogwarts/h_winsquare.tga
	q3map_surfacelight 200
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/hogwarts/h_winsquare.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/hogwarts/h_winsquare.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/hogwarts/h_wintrans
{
	qer_editorimage textures/hogwarts/h_wintrans.tga
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/hogwarts/h_wintrans.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/hogwarts/h_wire
{
	qer_editorimage textures/hogwarts/h_wire.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
	nopicmip
	{
		map textures/hogwarts/h_wire.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/hogwarts/h_xtalball
{
	qer_editorimage textures/hogwarts/h_xtalball.tga
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/hogwarts/h_xtalball.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/liquids/slime1
{
	qer_editorimage textures/liquids/slime7.tga
	q3map_lightimage textures/liquids/slime7.tga
	q3map_globaltexture
	qer_trans .5
	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans
	q3map_surfacelight 100
	tesssize 32
	cull disable
	deformvertexes wave 100 sin 0 1 .5 .5
	{
		map textures/liquids/slime7c.tga
		tcmod turb .3 .2 1 .05
		tcmod scroll .01 .01
	}
	{
		map textures/liquids/slime7.tga
		blendfunc gl_one gl_one
		tcmod turb .2 .1 1 .05
		tcmod scale .5 .5
		tcmod scroll .01 .01
	}
	{
		map textures/liquids/bubbles.tga
		blendfunc gl_zero gl_src_color
		tcmod turb .2 .1 .1 .2
		tcmod scale .05 .05
		tcmod scroll .001 .001
	}
}

textures/sfx/flame1side
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/flame2
{
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 5500
	qer_editorimage textures/sfx/flame1.tga
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/sfx/portal_sfx
{
	portal
	surfaceparm nolightmap
	deformvertexes wave 100 sin 0 2 0 .5
	{
		map textures/sfx/portal_sfx3.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		depthwrite
	}
	{
		map textures/sfx/portal_sfx1.tga
		blendfunc gl_dst_color gl_zero
		tcmod rotate 360
	}
	{
		map textures/sfx/portal_sfx.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 .5 .2 .5
	}
	{
		map textures/sfx/portalfog.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphagen portal 256
		rgbgen identitylighting
		tcmod turb sin 0 .5 0 1
		tcmod rotate .1 .1
		tcmod scroll .01 .03
	}
}

textures/sfx/proto_zzztblu3
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/sfx/proto_zzztblu3.tga
		tcgen environment
		tcmod turb 0 0.25 0 0.5
		tcmod scroll 1 1
		blendfunc gl_one gl_one
	}
}

textures/sfx/xblackfog
{
	qer_editorimage textures/sfx/blackness.tga
	qer_nocarve
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( 0 0 0 ) 128
}

